diff -crN nakedmudv1.0/src/.depend nakedmudv1.4/src/.depend
*** nakedmudv1.0/src/.depend	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/.depend	2010-11-01 15:54:18.000000000 -0500
***************
*** 1,115 ****
  action.o: action.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h utils.h text_editor.h character.h action.h
! action_safe.o: action_safe.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h character.h socket.h utils.h text_editor.h save.h \
!   handler.h
! admin.o: admin.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h inform.h character.h handler.h utils.h \
!   text_editor.h log.h socket.h save.h event.h action.h storage.h
! auxiliary.o: auxiliary.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h auxiliary.h
! body.o: body.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h body.h utils.h text_editor.h
! builder.o: builder.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h zone.h room.h exit.h movement.h builder.h \
!   character.h object.h handler.h inform.h utils.h text_editor.h races.h \
!   items.h dialog.h modules/scripts/script.h modules/scripts/script_set.h
! character.o: character.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h utils.h text_editor.h body.h log.h \
!   races.h handler.h auxiliary.h storage.h room.h character.h
  cmd_comm.o: cmd_comm.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h utils.h text_editor.h handler.h inform.h character.h \
!   world.h dialog.h modules/scripts/script.h
  cmd_manip.o: cmd_manip.c mud.h wrapsock.h property_table.h list.h \
    hashmap.h hashtable.h utils.h text_editor.h handler.h inform.h \
    character.h items.h exit.h world.h room.h extra_descs.h object.h
  cmd_misc.o: cmd_misc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h character.h socket.h utils.h text_editor.h save.h event.h \
    handler.h
! dialog.o: dialog.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h dialog.h storage.h
! event.o: event.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h character.h event.h
! exit.o: exit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h storage.h exit.h
! extra_descs.o: extra_descs.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h extra_descs.h
! gameloop.o: gameloop.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h world.h character.h object.h utils.h text_editor.h \
!   save.h handler.h inform.h log.h races.h action.h event.h auxiliary.h \
!   storage.h modules/time/mudtime.h modules/scripts/script.h \
!   modules/olc/olc.h
! handler.o: handler.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h handler.h room.h exit.h extra_descs.h character.h object.h \
!   utils.h text_editor.h body.h items.h inform.h modules/scripts/script.h
! hashmap.o: hashmap.c list.h hashmap.h
! hashtable.o: hashtable.c list.h hashtable.h
  help.o: help.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h
! help_new.o: help_new.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h
! inform.o: inform.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h object.h world.h room.h exit.h extra_descs.h \
!   utils.h text_editor.h body.h races.h items.h handler.h socket.h \
!   inform.h modules/time/mudtime.h
! interpret.o: interpret.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h character.h socket.h room.h \
!   movement.h commands.h action.h modules/scripts/script.h
! io.o: io.c mud.h wrapsock.h property_table.h list.h hashmap.h hashtable.h \
!   utils.h text_editor.h
  items.o: items.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h object.h items.h
! list.o: list.c list.h
  log.o: log.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h utils.h text_editor.h character.h storage.h log.h
! magic.o: magic.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h event.h action.h magic.h character.h \
!   inform.h
! mccp.o: mccp.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h utils.h text_editor.h
! movement.o: movement.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h world.h room.h exit.h movement.h handler.h \
!   inform.h builder.h utils.h text_editor.h items.h object.h \
!   modules/scripts/script.h
! mud.o: mud.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h storage.h
  object.o: object.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h extra_descs.h utils.h text_editor.h items.h body.h \
    handler.h storage.h auxiliary.h object.h
! property_table.o: property_table.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h utils.h text_editor.h
! races.o: races.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h races.h body.h utils.h text_editor.h
! room.o: room.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h exit.h extra_descs.h utils.h text_editor.h handler.h \
!   character.h auxiliary.h storage.h room_reset.h room.h \
!   modules/scripts/script.h
  room_reset.o: room_reset.c mud.h wrapsock.h property_table.h list.h \
    hashmap.h hashtable.h utils.h text_editor.h storage.h room.h world.h \
    character.h body.h object.h exit.h handler.h items.h room_reset.h
! save.o: save.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h world.h utils.h text_editor.h handler.h body.h \
!   object.h room.h storage.h
! shop.o: shop.c
! socket.o: socket.c wrapsock.h mud.h property_table.h list.h hashmap.h \
!   hashtable.h character.h utils.h text_editor.h socket.h \
!   modules/olc/olc.h
  storage.o: storage.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h utils.h text_editor.h storage.h
! strings.o: strings.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h
! text_editor.o: text_editor.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h text_editor.h utils.h \
!   modules/scripts/script.h modules/olc/olc.h
! update.o: update.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h action.h event.h
! utils.o: utils.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h object.h world.h zone.h room.h exit.h socket.h \
!   utils.h text_editor.h save.h handler.h inform.h help.h dialog.h event.h \
!   action.h modules/scripts/script.h
! world.o: world.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h zone.h room.h character.h object.h dialog.h utils.h \
!   text_editor.h storage.h world.h modules/scripts/script.h
! zone.o: zone.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h storage.h object.h character.h room.h zone.h utils.h \
!   text_editor.h dialog.h modules/scripts/script.h
--- 1,171 ----
+ gameloop.o: gameloop.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h socket.h world.h character.h object.h utils.h text_editor.h \
+   save.h handler.h inform.h log.h races.h action.h event.h auxiliary.h \
+   storage.h time/mudtime.h scripts/script.h olc/olc.h alias/alias.h \
+   char_vars/char_vars.h socials/socials.h
+ mud.o: mud.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h utils.h text_editor.h storage.h
+ utils.o: utils.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h object.h world.h zone.h room.h exit.h socket.h \
+   utils.h text_editor.h save.h handler.h inform.h dialog.h event.h \
+   action.h help.h scripts/script.h
+ interpret.o: interpret.c mud.h wrapsock.h property_table.h list.h \
+   hashmap.h hashtable.h utils.h text_editor.h character.h socket.h room.h \
+   movement.h commands.h action.h scripts/script.h alias/alias.h
+ handler.o: handler.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h handler.h room.h exit.h extra_descs.h character.h object.h \
+   utils.h text_editor.h body.h items.h inform.h scripts/script.h
+ inform.o: inform.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h object.h world.h room.h exit.h extra_descs.h \
+   utils.h text_editor.h body.h races.h items.h handler.h socket.h \
+   inform.h log.h time/mudtime.h
+ movement.o: movement.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h character.h world.h room.h exit.h movement.h handler.h \
+   inform.h builder.h utils.h text_editor.h items.h object.h \
+   scripts/script.h
  action.o: action.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h utils.h text_editor.h character.h action.h
! mccp.o: mccp.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h utils.h text_editor.h
! save.o: save.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h world.h utils.h text_editor.h handler.h body.h \
!   object.h room.h storage.h
! socket.o: socket.c wrapsock.h mud.h property_table.h list.h hashmap.h \
!   hashtable.h character.h utils.h text_editor.h socket.h olc/olc.h
! io.o: io.c mud.h wrapsock.h property_table.h list.h hashmap.h hashtable.h \
!   utils.h text_editor.h
! strings.o: strings.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h
! event.o: event.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h character.h event.h
  cmd_comm.o: cmd_comm.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h utils.h text_editor.h handler.h inform.h character.h \
!   world.h dialog.h scripts/script.h
  cmd_manip.o: cmd_manip.c mud.h wrapsock.h property_table.h list.h \
    hashmap.h hashtable.h utils.h text_editor.h handler.h inform.h \
    character.h items.h exit.h world.h room.h extra_descs.h object.h
  cmd_misc.o: cmd_misc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h character.h socket.h utils.h text_editor.h save.h event.h \
    handler.h
! text_editor.o: text_editor.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h text_editor.h utils.h scripts/script.h \
!   olc/olc.h
! builder.o: builder.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h zone.h room.h exit.h movement.h builder.h \
!   character.h object.h handler.h inform.h utils.h text_editor.h races.h \
!   items.h dialog.h scripts/script.h scripts/script_set.h
! admin.o: admin.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h inform.h character.h handler.h utils.h \
!   text_editor.h log.h socket.h save.h event.h action.h storage.h
  help.o: help.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h help.h
  items.o: items.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h object.h items.h
! races.o: races.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h races.h body.h utils.h text_editor.h
  log.o: log.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h utils.h text_editor.h character.h storage.h log.h
! auxiliary.o: auxiliary.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h auxiliary.h
! world.o: world.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h zone.h room.h character.h object.h dialog.h utils.h \
!   text_editor.h storage.h world.h scripts/script.h
! character.o: character.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h body.h races.h handler.h \
!   auxiliary.h storage.h room.h character.h
! room.o: room.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h exit.h extra_descs.h utils.h text_editor.h handler.h \
!   character.h auxiliary.h storage.h room_reset.h room.h scripts/script.h
! exit.o: exit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h storage.h exit.h
! extra_descs.o: extra_descs.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h extra_descs.h
  object.o: object.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h extra_descs.h utils.h text_editor.h items.h body.h \
    handler.h storage.h auxiliary.h object.h
! body.o: body.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h body.h utils.h text_editor.h
! zone.o: zone.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h storage.h object.h character.h room.h zone.h utils.h \
!   text_editor.h dialog.h scripts/script.h
! dialog.o: dialog.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h dialog.h storage.h
  room_reset.o: room_reset.c mud.h wrapsock.h property_table.h list.h \
    hashmap.h hashtable.h utils.h text_editor.h storage.h room.h world.h \
    character.h body.h object.h exit.h handler.h items.h room_reset.h
! list.o: list.c list.h
! property_table.o: property_table.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h utils.h text_editor.h
! hashtable.o: hashtable.c list.h hashtable.h
! hashmap.o: hashmap.c list.h hashmap.h
  storage.o: storage.c mud.h wrapsock.h property_table.h list.h hashmap.h \
    hashtable.h utils.h text_editor.h storage.h
! time.o: time/time.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h inform.h character.h room.h event.h \
!   storage.h auxiliary.h time/mudtime.h
! alias.o: alias/alias.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h auxiliary.h storage.h character.h \
!   alias/alias.h
! char_vars.o: char_vars/char_vars.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h utils.h text_editor.h character.h \
!   storage.h auxiliary.h char_vars/char_vars.h
! socials.o: socials/socials.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h handler.h \
!   inform.h character.h socials/socials.h
! dedit.o: olc/dedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h utils.h text_editor.h dialog.h olc/olc.h
! edesc_edit.o: olc/edesc_edit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h utils.h text_editor.h extra_descs.h \
!   olc/olc.h
! exedit.o: olc/exedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h exit.h socket.h utils.h text_editor.h olc/olc.h
! medit.o: olc/medit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h character.h socket.h utils.h text_editor.h races.h \
!   dialog.h olc/olc.h scripts/script_set.h scripts/script.h
! oedit.o: olc/oedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h object.h extra_descs.h socket.h utils.h \
!   text_editor.h body.h items.h olc/olc.h scripts/script_set.h \
!   scripts/script.h
! redit.o: olc/redit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h room.h exit.h room_reset.h extra_descs.h socket.h \
!   utils.h text_editor.h olc/olc.h scripts/script_set.h scripts/script.h \
!   time/mudtime.h
! zedit.o: olc/zedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h zone.h socket.h utils.h text_editor.h olc/olc.h
! ssedit.o: olc/ssedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h world.h utils.h text_editor.h olc/olc.h \
!   scripts/script.h scripts/script_set.h
! scedit.o: olc/scedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h utils.h text_editor.h olc/olc.h scripts/script.h
! resedit.o: olc/resedit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h utils.h text_editor.h world.h object.h \
!   character.h room_reset.h olc/olc.h
! socedit.o: olc/socedit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h utils.h text_editor.h character.h \
!   socials/socials.h olc/olc.h
! olc.o: olc/olc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h object.h character.h world.h zone.h room.h \
!   room_reset.h exit.h extra_descs.h dialog.h olc/olc.h scripts/script.h \
!   scripts/script_set.h socials/socials.h
! script_set.o: scripts/script_set.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h utils.h text_editor.h world.h \
!   scripts/script_set.h scripts/script.h
! script.o: scripts/script.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h socket.h character.h room.h \
!   object.h storage.h auxiliary.h scripts/script.h scripts/script_set.h \
!   scripts/pychar.h scripts/pyroom.h scripts/pyobj.h scripts/pymud.h
! pychar.o: scripts/pychar.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h world.h room.h character.h object.h items.h \
!   races.h handler.h utils.h text_editor.h scripts/script.h \
!   scripts/pychar.h scripts/pyroom.h scripts/pyobj.h char_vars/char_vars.h
! pyobj.o: scripts/pyobj.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h world.h room.h character.h object.h races.h \
!   handler.h utils.h text_editor.h scripts/script.h scripts/pychar.h \
!   scripts/pyroom.h scripts/pyobj.h
! pymud.o: scripts/pymud.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h scripts/script.h scripts/pyroom.h \
!   scripts/pychar.h scripts/pyobj.h
! pyroom.o: scripts/pyroom.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h world.h room.h exit.h character.h races.h \
!   handler.h utils.h text_editor.h scripts/script.h scripts/pyroom.h \
!   scripts/pychar.h scripts/pyobj.h
Binary files nakedmudv1.0/src/.DS_Store and nakedmudv1.4/src/.DS_Store differ
diff -crN nakedmudv1.0/src/event.c nakedmudv1.4/src/event.c
*** nakedmudv1.0/src/event.c	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/event.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 109,115 ****
  
    // add our proof of concept command
    add_cmd("devent", NULL, cmd_devent, 0, POS_SLEEPING, POS_FLYING,
! 	  LEVEL_ADMIN, FALSE);
  }
  
  void interrupt_event(EVENT_DATA *event) {
--- 109,115 ----
  
    // add our proof of concept command
    add_cmd("devent", NULL, cmd_devent, 0, POS_SLEEPING, POS_FLYING,
! 	  LEVEL_ADMIN, TRUE, FALSE);
  }
  
  void interrupt_event(EVENT_DATA *event) {
***************
*** 120,131 ****
    LIST_ITERATOR *ev_i = newListIterator(events);
    EVENT_DATA   *event = NULL;
  
!   // we can't use ITERATE_LIST here, because there are times
!   // where we will remove our current element  from the list, 
!   // making it kinda hard to go onto the next one afterwards ;)
!   while( (event = listIteratorCurrent(ev_i)) != NULL) {
!     listIteratorNext(ev_i);
! 
      // if we've found involvement, pop it on out
      if(event->owner == thing ||
         (event->check_involvement != NULL && 
--- 120,126 ----
    LIST_ITERATOR *ev_i = newListIterator(events);
    EVENT_DATA   *event = NULL;
  
!   ITERATE_LIST(event, ev_i) {
      // if we've found involvement, pop it on out
      if(event->owner == thing ||
         (event->check_involvement != NULL && 
***************
*** 154,162 ****
    // we can't use ITERATE_LIST here, because there are times
    // where we will remove our current element  from the list, 
    // making it kinda hard to go onto the next one afterwards ;)
!   while( (event = listIteratorCurrent(ev_i)) != NULL) {
!     listIteratorNext(ev_i);
! 
      // decrement the delay
      event->delay -= time;
      // pop the character from the list, and run the event
--- 149,155 ----
    // we can't use ITERATE_LIST here, because there are times
    // where we will remove our current element  from the list, 
    // making it kinda hard to go onto the next one afterwards ;)
!   ITERATE_LIST(event, ev_i) {
      // decrement the delay
      event->delay -= time;
      // pop the character from the list, and run the event
diff -crN nakedmudv1.0/src/example_module/module.mk nakedmudv1.4/src/example_module/module.mk
*** nakedmudv1.0/src/example_module/module.mk	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/src/example_module/module.mk	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,30 ----
+ ################################################################################
+ #
+ # example_module.mk
+ #
+ # The intent of this makefile is to act as a template makefile for people
+ # creating new modules for NakedMud(tm). The module installation process has
+ # been made as simple as I (Geoff Hollis) can make it; for the make file, all
+ # you really have to do is add a couple lines to SRC so that the main makefile
+ # knows that you have source files you want to compile. You are also able to
+ # add new libraries and includes if you need to. To make sure your module is
+ # compiled, you will have to add an entry for it in the Makefile within src/
+ #
+ # Questions and comments should be directed to Geoff Hollis (hollis@ualberta.ca)
+ #
+ ################################################################################
+ 
+ # If your module has any source files that need to be compiled (it should!
+ # that's what modules are for!) You will want to add their path relative to
+ # the main src directory, here. I have provided an example.
+ SRC     += example_module/foo.c example_module/bar.c
+ 
+ # If your module requires that you use some special flags for compiling, you
+ # can add them here. For example, if you need to include a directory containing
+ # headers your module requires. They will be picked up by the main makefile. 
+ # This line can remain blank if you do not need any flags.
+ C_FLAGS += 
+ 
+ # Does your module need some libraries? If so, add them here. If not, this line
+ # can remain blank.
+ LIBS    += 
diff -crN nakedmudv1.0/src/gameloop.c nakedmudv1.4/src/gameloop.c
*** nakedmudv1.0/src/gameloop.c	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/gameloop.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 25,45 ****
  
  
  // optional modules
- #ifdef MODULE_FACULTY
- #include "modules/faculty/faculty.h"
- #endif
- #ifdef MODULE_COMBAT
- #include "modules/combat/combat.h"
- #endif
  #ifdef MODULE_TIME
! #include "modules/time/mudtime.h"
  #endif
  #ifdef MODULE_SCRIPTS
! #include "modules/scripts/script.h"
  #endif
  #ifdef MODULE_OLC
! #include "modules/olc/olc.h"
  #endif
  
  
  /* mccp support */
--- 25,52 ----
  
  
  // optional modules
  #ifdef MODULE_TIME
! #include "time/mudtime.h"
  #endif
  #ifdef MODULE_SCRIPTS
! #include "scripts/script.h"
  #endif
  #ifdef MODULE_OLC
! #include "olc/olc.h"
! #endif
! #ifdef MODULE_ALIAS
! #include "alias/alias.h"
! #endif
! #ifdef MODULE_CHAR_VARS
! #include "char_vars/char_vars.h"
  #endif
+ #ifdef MODULE_SOCIALS
+ #include "socials/socials.h"
+ #endif
+ #ifdef MODULE_HELP
+ #include "help/help.h"
+ #endif
+ 
  
  
  /* mccp support */
***************
*** 67,72 ****
--- 74,82 ----
  PROPERTY_TABLE *mob_table = NULL;/* a table of mobs by UID, for quick lookup */
  PROPERTY_TABLE *obj_table = NULL;
  
+ char        *   greeting = NULL;
+ char        *   motd     = NULL;
+ 
  
  /*
   * This is where it all starts, nothing special.
***************
*** 170,184 ****
  #endif
  
    /* initialize faculties */
! #ifdef MODULE_FACULTY
!   log_string("Initializing faculties.");
!   init_faculties();
  #endif
  
!   /* initialize combat if we have faculties */
! #ifdef MODULE_COMBAT
!   log_string("Initializing combat.");
!   init_combat();
  #endif
  
    /* initialize the socket */
--- 180,203 ----
  #endif
  
    /* initialize faculties */
! #ifdef MODULE_CHAR_VARS
!   log_string("Initializing character variables.");
!   init_char_vars();
! #endif
! 
! #ifdef MODULE_ALIAS
!   log_string("Initializing aliases.");
!   init_aliases();
  #endif
  
! #ifdef MODULE_SOCIALS
!   log_string("Initializing socials.");
!   init_socials();
! #endif
! 
! #ifdef MODULE_HELP
!   log_string("Initializing helpfiles.");
!   init_help();
  #endif
  
    /* initialize the socket */
***************
*** 264,269 ****
--- 283,289 ----
    /* copyover recovery */
    ITERATE_LIST(dsock, sock_i)
      FD_SET(dsock->control, &fSet);
+   deleteListIterator(sock_i);
  
    /* do this untill the program is shutdown */
    while (!shut_down)
***************
*** 291,305 ****
      }
  
      /* poll sockets in the socket list */
!     listIteratorReset(sock_i);
! 
!     // We cannot use ITERATE_LIST, because there is a chance we
!     // will remove the current element we are on from the list,
!     // making it impossible to carry on in the iterator.
!     //    ITERATE_LIST(dsock, sock_i) {
!     while( (dsock = listIteratorCurrent(sock_i)) != NULL) {
!       listIteratorNext(sock_i);
  
        /*
         * Close sockects we are unable to read from.
         */
--- 311,320 ----
      }
  
      /* poll sockets in the socket list */
!     //    listIteratorReset(sock_i);
!     sock_i = newListIterator(socket_list);
  
+     ITERATE_LIST(dsock, sock_i) {
        /*
         * Close sockects we are unable to read from.
         */
***************
*** 354,359 ****
--- 369,375 ----
        if (!flush_output(dsock))
          close_socket(dsock, FALSE);
      }
+     deleteListIterator(sock_i);
  
      /* call the top-level update handler */
      update_handler();
diff -crN nakedmudv1.0/src/.gdb_history nakedmudv1.4/src/.gdb_history
*** nakedmudv1.0/src/.gdb_history	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/.gdb_history	2010-11-01 15:54:18.000000000 -0500
***************
*** 1,59 ****
- print N->next->elem
- print ((struct cmd_data *)N->next)->cmd_name
- print ((struct cmd_data *)N->next)->sort_by
- quit
- run
- bt
- bt
  down
  up
! print N
! print ((struct cmd_data *)N)->sort_by
! print ((struct cmd_data *)N)->scmd
! print ((struct cmd_data *)N)->cmd
! print ((struct cmd_data *)N)->cmd_name
! bt
! quit
! run
! quit
! run
  bt
- print obj->multi_name
  quit
  run
  quit
  run
  bt
  quit
  run
! quit
! run
  quit
  run
  bt
  quit
  run
  bt
  up
  up
  up
  up
! up
  quit
  run
- bt
- bt
- up
- info local
- clear
- bt
  quit
  run
  bt
  quit
  run
- bt
  quit
  quit
  run
  quit
--- 1,44 ----
  down
  up
! up
! up
! print room->auxiliary_data
! down
! print line
! print data
! info local
  bt
  quit
  run
  quit
  run
  bt
+ print line
  quit
  run
! print line
  quit
  run
  bt
  quit
  run
  bt
+ down
  up
  up
  up
  up
! print world
! bt
  quit
  run
  quit
  run
  bt
  quit
  run
  quit
+ run
  quit
  run
  quit
***************
*** 61,163 ****
  bt
  quit
  run
  quit
- run
  quit
  run
  quit
  run
  quit
  run
  quit
  run
  bt
! print data
! info local
! down
  up
- info local
- print desc
- print desc->night_desc
- print data
- bt
  up
- down
- down
- info local
- info
- bt
- info local
- down
  up
- info local
  up
! down
! down
! info local
! print room
! print data
! print room
! print room->name
! print room->vnum
! print room
! print room->name
! shutdown
  quit
  run
- print room
- print room->name
- print room->vnum
- print data
  quit
  run
  bt
! up
! down
  quit
  run
! quit
! quit
  quit
  run
  bt
- info local
- print bucket
- print table->num_buckets
- down
- up
- up
- up
- print room->auxiliary_data
- down
- print line
- print data
- info local
  bt
! quit
! run
! quit
  run
  bt
- print line
  quit
  run
- print line
  quit
  run
  bt
  quit
  run
  bt
! down
! up
! up
! up
! up
! print world
! bt
  quit
  run
  quit
  run
  bt
--- 46,115 ----
  bt
  quit
  run
+ bt
+ qiut
  quit
  quit
  run
+ bt
  quit
  run
  quit
  run
+ bt
  quit
  run
  bt
! print buflen
  up
  up
  up
  up
! up
! print buflen
! print buf
! print i
  quit
  run
  quit
  run
  bt
! bt
  quit
  run
! bt
  quit
  run
  bt
  bt
! print dsock->player
! print dsock->page
! print dsock->page_string
! q
  run
+ print dsock->page_string
+ print dsock->player
+ print dsock
  bt
  quit
  run
  quit
  run
  bt
  quit
  run
  bt
! print dsock
! print dsock->control
! print rFd
! print dsock->outbuf
! print dsock->inbuf
! print dsock->state
! print dsock->indent
  quit
  run
+ clear
+ bt
  quit
  run
  bt
***************
*** 172,256 ****
  bt
  quit
  run
- bt
- qiut
- quit
  quit
  run
  bt
  quit
  run
  quit
! run
! bt
  quit
! run
  bt
- print buflen
- up
  up
  up
  up
  up
! print buflen
! print buf
  print i
  quit
! run
  quit
! run
  bt
  bt
  quit
! run
  bt
  quit
  run
  bt
  bt
! print dsock->player
! print dsock->page
! print dsock->page_string
! q
! run
! print dsock->page_string
! print dsock->player
! print dsock
  bt
  quit
! run
  quit
  run
  bt
  quit
  run
- bt
- print dsock
- print dsock->control
- print rFd
- print dsock->outbuf
- print dsock->inbuf
- print dsock->state
- print dsock->indent
  quit
  run
- clear
  bt
  quit
  run
  bt
  quit
  run
  quit
  run
  quit
  run
  quit
  run
! bt
  quit
  run
  quit
  run
- bt
  quit
--- 124,256 ----
  bt
  quit
  run
  quit
  run
  bt
  quit
  run
  quit
! run 3000
  quit
! run 4000
! bt
  bt
  up
+ print i
+ down
+ print i
+ print num
  up
  up
  up
! bt
  print i
+ print param
+ print one_arg
+ print arg
+ print one_arg
  quit
! run 3000
  quit
! run 4000
  bt
+ quit
+ run 4000
+ quit
+ run 3000
  bt
  quit
! run 4000
  bt
  quit
+ run 4000
+ quit
+ run
+ quit
  run
+ quit
+ run
+ quit
  bt
+ info local
  bt
! ls -l
! bt
! down
! up
! up
  bt
  quit
! bt
  quit
  run
  bt
+ up
+ print event
+ print event->owner
+ print event->data
+ print event->arg
+ print event->delay
+ print events
+ print events->size
+ print events->head->elem
+ print events->head->removed
+ print events->head->next->removed
+ print events->head->next->next->removed
+ print events->head->next->next->next->removed
+ print events->head->next->next->next->next->removed
+ print events->head->next->next->next->next->next->removed
+ print events->head->next->next->next->next->next->next->removed
+ print events->head->next->next->next->next->next->next->next->removed
+ print events->head->next->next->next->next->next->next->next->next->removed
  quit
  run
  quit
  run
  bt
  quit
  run
+ print event
+ print event->owner
+ print sizeof(*event->owner)
  bt
+ print ev_i->L->size
+ print ev_i->curr
+ print ev_i->L->head
+ print ev_i->L->head->next
+ print ev_i->L->head->next->removed
+ print ev_i->L->head->removed
+ bt
+ print event
+ print event->delay
+ print time
+ info local
+ info global
+ help info
+ info all-registers
+ man info
+ help info
+ info thread
+ info stack
+ info scope
+ info
  quit
  run
+ print 0x30bfa0
+ print 0x30bfa0
  quit
  run
+ print event
  quit
  run
  quit
  run
! print node
! print node->next
! quit
! run
  quit
  run
  quit
  run
  quit
